'***************** (c) 2006 BTC Korporacja ***********************************
'                     http://www kamami.com
'PROJECT  : BUTTON
'BOARD    : ZL8AVR (with ZL7AVR)
'COMPILER : BASCOM AVR
'
'******************************************************************************
'
'    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
'    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
'    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
'    FROM USE OF THIS SOFTWARE.
'
'******************************************************************************
'
'DESCRIPTION :
'    Pressing any button is shown by turning on corresponding LED0...LED3.
'
'    Jumpers settings on ZL8AVR:
'        JP7 (LED) - 1-2 (=ON)
'        JP13 (SW1) - 2-3 (=PD4)
'
'    Buttons are connected to PortD:.
'        Button -   IO Line
'        SW1    -   PD4
'        SW2    -   PD5
'        SW3    -   PD6
'        SW4    -   PD7
'
'    LEDs are connected to PortC via 74HC541.
'        LED0  - PC0
'        LED1  - PC1
'        ...
'        LED7  - PC7
'
'******************************************************************************/

$regfile = "m128def.dat"
$crystal = 16000000
$hwstack = 32
$swstack = 32
$framesize = 32

Leds Alias Portc

Sw1 Alias Pind.4
Sw2 Alias Pind.5
Sw3 Alias Pind.6
Sw4 Alias Pind.7

Config Leds = Output
Config Portd = Input
Portd = &B11111111                                          ' connect internal pull up resistors

Leds = 255                                                  ' all LEDs on

Do
  If Sw1 = 0 Then
    Leds = &B00000001
  End If
  If Sw2 = 0 Then
    Leds = &B00000010
  End If
  If Sw3 = 0 Then
    Leds = &B00000100
  End If
  If Sw4 = 0 Then
    Leds = &B00001000
  End If
Loop

End