'***************** (c) 2006 BTC Korporacja ***********************************
'                     http://www kamami.com
'PROJECT  : LCD
'BOARD    : ZL8AVR (with ZL7AVR)
'COMPILER : BASCOM AVR
'
'******************************************************************************
'
'    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
'    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
'    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
'    FROM USE OF THIS SOFTWARE.
'
'******************************************************************************
'
'DESCRIPTION :
'    Shifting the text on LCD.
'
'    Jumpers settings on ZL8AVR:
'        JP7 (LED) - 1-2 (=ON)
'
'    LCD connection
'        LCD - IO Line
'        DB4 - PA4
'        DB5 - PA5
'        DB6 - PA6
'        DB7 - PA7
'        E   - PA3
'        RS  - PA2
'
'    LEDs are connected to PortC via 74HC541.
'        LED0  - PC0
'        LED7  - PC7
'
'******************************************************************************/


$regfile = "m128def.dat"
$crystal = 16000000
$hwstack = 32
$swstack = 32
$framesize = 32

Config Lcd = 16 * 2
Config Lcdpin = Pin , Db4 = Porta.4 , Db5 = Porta.5 , Db6 = Porta.6 , Db7 = Porta.7 , E = Porta.3 , Rs = Porta.2

Dim A As Byte

Leds Alias Portc

Config Leds = Output

Leds = &HFF                                                 ' turn on LEDs
Waitms 500

Initlcd
Cls
Cursor Off
Lcd "   ZL8AVR"
Lowerline
Lcd "www.kamami.com"

Do
  For A = 1 To 16                                           ' shift the text to the right
     Waitms 250
     Shiftlcd Right
  Next
  Leds = &B10000000

  For A = 1 To 16                                           ' shift the text to the left
     Waitms 20
     Shiftlcd Left
  Next
  Leds = &B00000001
  Waitms 500
Loop

End