'***************** (c) 2006 BTC Korporacja ***********************************
'                     http://www kamami.com
'PROJECT  : UART
'BOARD    : ZL8AVR (with ZL7AVR)
'COMPILER : BASCOM AVR
'
'******************************************************************************
'
'    THE SOFTWARE INCLUDED IN THIS FILE IS FOR GUIDANCE ONLY.
'    BTC KORPORACJA SHALL NOT BE HELD LIABLE FOR ANY DIRECT, INDIRECT
'    OR CONSEQUENTIAL DAMAGES WITH RESPECT TO ANY CLAIMS ARISING
'    FROM USE OF THIS SOFTWARE.
'
'******************************************************************************
'
'DESCRIPTION :
'    Simple UART communication demo.
'
'    Jumpers settings on ZL8AVR:
'        JP5  (TX) - 1-2 (=ON)
'        JP6  (RX) - 1-2 (=ON)
'        JP9  (TX) - 1-2 (=USB) if ZL1USB_A connected
'                  - 2-3 (=MAX) if RS232 cable connected
'        JP10 (RX) - 1-2 (=USB) if ZL1USB_A connected
'                  - 2-3 (=MAX) if RS232 cable connected
'
'    LCD connection
'        LCD - IO Line
'        DB4 - PA4
'        DB5 - PA5
'        DB6 - PA6
'        DB7 - PA7
'        E   - PA3
'        RS  - PA2
'
'******************************************************************************/

$regfile = "m128def.dat"
$crystal = 16000000
$baud = 9600
$hwstack = 32
$swstack = 32
$framesize = 32

Dim A As Byte
Dim Message As String * 16

Config Lcd = 16 * 2
Config Lcdpin = Pin , Db4 = Porta.4 , Db5 = Porta.5 , Db6 = Porta.6 , Db7 = Porta.7 , E = Porta.3 , Rs = Porta.2       'konfiguracja linii mikrokontrolera do ktrych doczono wywietlacz LCD

Initlcd
Cls
Cursor Off
Lcd "ZL8AVR UART test"
Lowerline
Lcd " www.kamami.com"

Print "*************************"
Print "**   ZL8AVR UART test  **"
Print "**    www.kamami.com   **"
Print "*************************"

Do
  Input "->" , Message                                      'send prompt to terminal
  Cls
  Lcd "Rx:"
  Lowerline
  Lcd Message                                               'write received message on LCD
  Print "<-" ; Message
Loop

End